Skip to content

Get Result Acceleration Status

API Description

This API is used to view the latest refresh time and data date of a materialized table on Aloudata CAN.

API URL

POST http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/accelerate/latestTime

To obtain anymetrics_host:anymetrics_port, see Calling APIs.

Request parameters

Common Request parameters

parameter Type required Description
tenant-id String Yes Tenant ID, used to identify the tenant for metric query content.
auth-type String Yes Authentication method. Supports UID, TOKEN, ACCOUNT, and APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

Request parameters

Request parametersDescription

parameter Type required Description
planIdList List required if planNameList is not provided Plan ID list
planNameList List required if planIdList is not provided Plan name list

Response parameters

parameter Type required Description
success Boolean Yes whetherRequest succeeded
code String Yes API response code
errorMsg String Yes Error message
detailErrorMsg String Yes Detailed error message
traceId String Yes Trace ID for troubleshooting
data Object Yes Materialized-table time information
hasNotReady Boolean Yes Whether any materialized table has never been refreshed or has empty partitions
latestDateTime String No Minimum data time of the materialized table associated with acceleration
latestRefreshTime String No Latest task run time of the materialized table associated with acceleration (task end time)

Request Example

Query by Acceleration Plan ID List

{
    "planIdList": [
        "6665de58846daee543d5db415375d936",
        "e39daf5d7b8a7fd485177d4f1368971"
    ]
}

Query by Acceleration Plan Name List

{
    "planNameList": [
        "etstst",
        "v"
    ]
}

Response Example

success:

{
    "data": {
        "hasNotReady": false,
        "latestDateTime": "2024-08-23 00:00:00",
        "latestRefreshTime": "2024-09-01 18:09:16"
    },
    "success": true,
    "code": "200",
    "errorMsg": null,
    "detailErrorMsg": null,
    "traceId": "a70c0ebdc9d04ce585bc2a3c85bfd83a.773.17252483988090161"
}

failed:

{
    "data": null,
    "success": true,
    "code": "200",
    "errorMsg": "Acceleration plan does not exist",
    "detailErrorMsg": null,
    "traceId": "e78bba97f56f45d3a95d928de2cc4473.144.17193886412950007"
}